## EvDocumentSecurity

EvDocumentSecurity

## Synopsis

    #define             EV_DOCUMENT_SECURITY_IFACE          (k)
    #define             EV_IS_DOCUMENT_SECURITY_IFACE       (k)
                        EvDocumentSecurity;
    gboolean            ev_document_security_has_document_security
                                                            (EvDocumentSecurity *document_security);
    void                ev_document_security_set_password   (EvDocumentSecurity *document_security,
                                                             const char *password);

## Object Hierarchy

      GInterface
       +----EvDocumentSecurity

## Description

## Details

### EV_DOCUMENT_SECURITY_IFACE()

    #define EV_DOCUMENT_SECURITY_IFACE(k)	  	  (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_SECURITY, EvDocumentSecurityInterface))

`k` : |

### EV_IS_DOCUMENT_SECURITY_IFACE()

    #define EV_IS_DOCUMENT_SECURITY_IFACE(k)	  (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_SECURITY))

`k` : |

### EvDocumentSecurity

    typedef struct _EvDocumentSecurity EvDocumentSecurity;

### ev_document_security_has_document_security ()

    gboolean            ev_document_security_has_document_security
                                                            (EvDocumentSecurity *document_security);

`document_security` : |
Returns : |

### ev_document_security_set_password ()

    void                ev_document_security_set_password   (EvDocumentSecurity *document_security,
                                                             const char *password);

`document_security` : |
`password` : |